Skip to content
Start here

Store catalog credentials

client.r2DataCatalog.credentials.create(stringbucketName, CredentialCreateParams { account_id, token } params, RequestOptionsoptions?): CredentialCreateResponse | null
POST/accounts/{account_id}/r2-catalog/{bucket_name}/credential

Store authentication credentials for a catalog. These credentials are used to authenticate with R2 storage when performing catalog operations.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
bucketName: string

Specifies the R2 bucket name.

maxLength63
minLength3
params: CredentialCreateParams { account_id, token }
account_id: string

Path param: Use this to identify the account.

token: string

Body param: Provides the Cloudflare API token for accessing R2.

ReturnsExpand Collapse
CredentialCreateResponse = unknown

Store catalog credentials

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const credential = await client.r2DataCatalog.credentials.create('my-data-bucket', {
  account_id: '0123456789abcdef0123456789abcdef',
  token: 'your-cloudflare-api-token-here',
});

console.log(credential);
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": null,
  "success": true
}